Bug 97286 - [mouse] [request] MS Wireless Intellimouse Explorer 2.0 doesn't work
Summary: [mouse] [request] MS Wireless Intellimouse Explorer 2.0 doesn't work
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: usb (show other bugs)
Version: 6.1-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-usb mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-15 04:40 UTC by J. Jones
Modified: 2018-05-28 19:46 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description J. Jones 2006-05-15 04:40:17 UTC
Microsoft Wireless Intellimouse Explorer 2.0 as part of Wireless Desktop
Elite package doesn't work when attached via USB. Everything seems to be
detected properly by the system and moused runs with the proper flags/device
but there is 0 movement of mouse cursor and no mouse buttons function.

Startup Messages

Copyright (c) 1992-2006 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
        The Regents of the University of California. All rights reserved.
FreeBSD 6.1-STABLE #3: Sun May 14 02:44:50 MST 2006
    root@Predator.titan.net:/usr/obj/usr/src/sys/PREDATOR
mptable_probe: MP Config Table has bad signature: 2 C
ACPI APIC Table: <Nvidia AWRDACPI>
Timecounter "i8254" frequency 1193182 Hz quality 0
CPU: AMD Athlon(tm) XP 1800+ (1531.03-MHz 686-class CPU)
  Origin = "AuthenticAMD"  Id = 0x662  Stepping = 2
  Features=0x383fbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,MMX,FXSR,SSE>
  AMD Features=0xc0400800<SYSCALL,MMX+,3DNow+,3DNow>
real memory  = 536805376 (511 MB)
avail memory = 515948544 (492 MB)
ioapic0 <Version 1.1> irqs 0-23 on motherboard
kbd1 at kbdmux0
acpi0: <Nvidia AWRDACPI> on motherboard
acpi0: Power Button (fixed)
Timecounter "ACPI-fast" frequency 3579545 Hz quality 1000
acpi_timer0: <24-bit timer at 3.579545MHz> port 0x4008-0x400b on acpi0
cpu0: <ACPI CPU> on acpi0
acpi_button0: <Power Button> on acpi0
pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci0: <ACPI PCI bus> on pcib0
agp0: <NVIDIA nForce2 AGP Controller> mem 0xd8000000-0xdbffffff at device 0.0 on pci0
pci0: <memory, RAM> at device 0.1 (no driver attached)
pci0: <memory, RAM> at device 0.2 (no driver attached)
pci0: <memory, RAM> at device 0.3 (no driver attached)
pci0: <memory, RAM> at device 0.4 (no driver attached)
pci0: <memory, RAM> at device 0.5 (no driver attached)
isab0: <PCI-ISA bridge> at device 1.0 on pci0
isa0: <ISA bus> on isab0
pci0: <serial bus, SMBus> at device 1.1 (no driver attached)
ohci0: <OHCI (generic) USB controller> mem 0xe1086000-0xe1086fff irq 20 at device 2.0 on pci0
ohci0: [GIANT-LOCKED]
usb0: OHCI version 1.0, legacy support
usb0: SMM does not respond, resetting
usb0: <OHCI (generic) USB controller> on ohci0
usb0: USB revision 1.0
uhub0: nVidia OHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub0: 3 ports with 3 removable, self powered
ohci1: <OHCI (generic) USB controller> mem 0xe1081000-0xe1081fff irq 21 at device 2.1 on pci0
ohci1: [GIANT-LOCKED]
usb1: OHCI version 1.0, legacy support
usb1: SMM does not respond, resetting
usb1: <OHCI (generic) USB controller> on ohci1
usb1: USB revision 1.0
uhub1: nVidia OHCI root hub, class 9/0, rev 1.00/1.00, addr 1
uhub1: 3 ports with 3 removable, self powered
ehci0: <NVIDIA nForce2 USB 2.0 controller> mem 0xe1082000-0xe10820ff irq 22 at device 2.2 on pci0
ehci0: [GIANT-LOCKED]
usb2: EHCI version 1.0
usb2: companion controllers, 4 ports each: usb0 usb1
usb2: <NVIDIA nForce2 USB 2.0 controller> on ehci0
usb2: USB revision 2.0
uhub2: nVidia EHCI root hub, class 9/0, rev 2.00/1.00, addr 1
uhub2: 6 ports with 6 removable, self powered
nve0: <NVIDIA nForce MCP2 Networking Adapter> port 0xec00-0xec07 mem 0xe1085000-0xe1085fff irq 20 at device 4.0 on pci0
nve0: Ethernet address 00:0c:76:b5:74:77
miibus0: <MII bus> on nve0
ukphy0: <Generic IEEE 802.3u media interface> on miibus0
ukphy0:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, auto
nve0: Ethernet address: 00:0c:76:b5:74:77
pci0: <multimedia, audio> at device 5.0 (no driver attached)
pci0: <multimedia, audio> at device 6.0 (no driver attached)
pcib1: <ACPI PCI-PCI bridge> at device 8.0 on pci0
pci1: <ACPI PCI bus> on pcib1
dc0: <ADMtek AN985 10/100BaseTX> port 0xc000-0xc0ff mem 0xe0021000-0xe00213ff irq 16 at device 7.0 on pci1
miibus1: <MII bus> on dc0
ukphy1: <Generic IEEE 802.3u media interface> on miibus1
ukphy1:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, auto
dc0: Ethernet address: 00:03:6d:11:2d:df
atapci0: <Promise PDC20376 SATA150 controller> port 0xc400-0xc43f,0xc800-0xc80f,0xcc00-0xcc7f mem 0xe0020000-0xe0020fff,0xe0000000-0xe001ffff irq 18 at device 11.0 on pci1
ata2: <ATA channel 0> on atapci0
ata3: <ATA channel 1> on atapci0
ata4: <ATA channel 2> on atapci0
atapci1: <nVidia nForce2 UDMA133 controller> port 0x1f0-0x1f7,0x3f6,0x170-0x177,0x376,0xf000-0xf00f at device 9.0 on pci0
ata0: <ATA channel 0> on atapci1
ata1: <ATA channel 1> on atapci1
fwohci0: <1394 Open Host Controller Interface> mem 0xe1083000-0xe10837ff,0xe1084000-0xe108403f irq 20 at device 13.0 on pci0
fwohci0: OHCI version 1.10 (ROM=0)
fwohci0: No. of Isochronous channels is 4.
fwohci0: EUI64 00:10:dc:00:00:5c:5d:89
fwohci0: Phy 1394a available S400, 3 ports.
fwohci0: Link S400, max_rec 2048 bytes.
firewire0: <IEEE1394(FireWire) bus> on fwohci0
fwe0: <Ethernet over FireWire> on firewire0
if_fwe0: Fake Ethernet address: 02:10:dc:5c:5d:89
fwe0: Ethernet address: 02:10:dc:5c:5d:89
fwe0: if_start running deferred for Giant
sbp0: <SBP-2/SCSI over FireWire> on firewire0
fwohci0: Initiate bus reset
fwohci0: node_id=0xc800ffc0, gen=1, CYCLEMASTER mode
firewire0: 1 nodes, maxhop <= 0, cable IRM = 0 (me)
firewire0: bus manager 0 (me)
pcib2: <ACPI PCI-PCI bridge> at device 30.0 on pci0
pci3: <ACPI PCI bus> on pcib2
pci3: <display, VGA> at device 0.0 (no driver attached)
acpi_tz0: <Thermal Zone> on acpi0
fdc0: <floppy drive controller> port 0x3f0-0x3f5,0x3f7 irq 6 drq 2 on acpi0
fdc0: [FAST]
fd0: <1440-KB 3.5" drive> on fdc0 drive 0
sio0: <16550A-compatible COM port> port 0x3f8-0x3ff irq 4 flags 0x10 on acpi0
sio0: type 16550A
sio1: <16550A-compatible COM port> port 0x2f8-0x2ff irq 3 on acpi0
sio1: type 16550A
ppc0: <ECP parallel printer port> port 0x378-0x37f,0x778-0x77b irq 7 drq 3 on acpi0
ppc0: SMC-like chipset (ECP/EPP/PS2/NIBBLE) in COMPATIBLE mode
ppc0: FIFO with 16/16/9 bytes threshold
ppbus0: <Parallel port bus> on ppc0
lpt0: <Printer> on ppbus0
lpt0: Interrupt-driven port
ppi0: <Parallel I/O> on ppbus0
pmtimer0 on isa0
orm0: <ISA Option ROMs> at iomem 0xc0000-0xcc7ff,0xd0000-0xd3fff,0xd4000-0xd57ff on isa0
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=0x300>
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
atkbdc0: <Keyboard controller (i8042)> at port 0x60,0x64 on isa0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
kbd0 at atkbd0
atkbd0: [GIANT-LOCKED]
uhub3: vendor 0x050d product 0x3101, class 9/0, rev 2.00/0.01, addr 2
uhub3: 3 ports with 2 removable, self powered
ukbd0: Microsoft Microsoft Wireless Optical Desktop\M-. 1.00, rev 2.00/73.73, addr 3, iclass 3/1
kbd2 at ukbd0
ums0: Microsoft Microsoft Wireless Optical Desktop\M-. 1.00, rev 2.00/73.73, addr 3, iclass 3/1
ums0: 5 buttons and Z dir and a TILT dir.
uhid0: Belkin Corporation Flip KVM, rev 1.10/2.10, addr 4, iclass 3/0
Timecounter "TSC" frequency 1531025717 Hz quality 800
Timecounters tick every 1.000 msec
ad0: 38166MB <WDC WD400BB-00CLB0 05.04E05> at ata0-master UDMA100
ad1: 16124MB <IBM DTTA-351680 T51OA73A> at ata0-slave UDMA33
acd0: CDROM <SONY CD-ROM CDU5221/0.35> at ata1-master UDMA33
Trying to mount root from ufs:/dev/ad0s1a

moused: (launched automatically with the proper device and options)
root        1401  0.0  0.1  1260   768  ??  Ss    8:18PM   0:00.00 /usr/sbin/moused -p /dev/ums0 -t auto -I /var/run/moused.ums0.pid

I have tried several additional options to moused and have tried to
connect the puck directly to the system on all of the available USB
controllers with no result other than a continuing non-function of the mouse. 

This may be related to PR90162 which included a patch that broke sometime
in 6.1 BETA or RC: http://www.freebsd.org/cgi/query-pr.cgi?pr=90162

Problem Report usb/90162 : [usb] [patch] Add support for the MS Wireless
USB Mouse

How-To-Repeat: Attach a Microsoft Wireless Desktop Elite receiver puck via USB and boot.
Viola, you have a functional keyboard and completely non-working mouse!
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2008-01-29 09:44:00 UTC
State Changed
From-To: open->suspended

Mark suspended awaiting patches.
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:46:15 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.